## fcitx5-chewing 5.0.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.6)
project(fcitx5-chewing VERSION 5.0.3)

find_package(ECM REQUIRED 1.0.0)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} "${CMAKE_CURRENT_SOURCE_DIR}/cmake" ${CMAKE_MODULE_PATH})

find_package(PkgConfig REQUIRED)
find_package(Fcitx5Core 5.0.2 REQUIRED)
find_package(Gettext REQUIRED)
include(FeatureSummary)
include(GNUInstallDirs)
include(ECMSetupVersion)
include(ECMUninstallTarget)

pkg_check_modules(Chewing "chewing>=0.5.0" IMPORTED_TARGET REQUIRED)
pkg_get_variable(CHEWING_DATADIR "chewing" datadir)

include("${FCITX_INSTALL_CMAKECONFIG_DIR}/Fcitx5Utils/Fcitx5CompilerSettings.cmake")

configure_file(
  "${CMAKE_CURRENT_SOURCE_DIR}/config.h.in"
  "${CMAKE_CURRENT_BINARY_DIR}/config.h"
  )

add_subdirectory(src)
add_subdirectory(data)
add_subdirectory(po)

fcitx5_translate_desktop_file(org.fcitx.Fcitx5.Addon.Chewing.metainfo.xml.in
                              org.fcitx.Fcitx5.Addon.Chewing.metainfo.xml XML)
install(FILES "${CMAKE_CURRENT_BINARY_DIR}/org.fcitx.Fcitx5.Addon.Chewing.metainfo.xml" DESTINATION ${CMAKE_INSTALL_DATADIR}/metainfo)
feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== data/CMakeLists.txt ===
install(DIRECTORY 48x48 DESTINATION "${CMAKE_INSTALL_DATADIR}/icons/hicolor"
         PATTERN ".*" EXCLUDE
         PATTERN "*~" EXCLUDE)

=== src/CMakeLists.txt ===
set(CHEWING_SOURCES
    eim.cpp
)
add_library(chewing MODULE ${CHEWING_SOURCES})
target_link_libraries(chewing Fcitx5::Core Fcitx5::Config PkgConfig::Chewing)
set_target_properties(chewing PROPERTIES PREFIX "")
target_compile_definitions(chewing PRIVATE FCITX_GETTEXT_DOMAIN=\"fcitx5-chewing\")
fcitx5_add_i18n_definition(TARGETS chewing)
install(TARGETS chewing DESTINATION "${CMAKE_INSTALL_LIBDIR}/fcitx5")
fcitx5_translate_desktop_file(chewing.conf.in chewing.conf)
install(FILES "${CMAKE_CURRENT_BINARY_DIR}/chewing.conf" DESTINATION "${CMAKE_INSTALL_DATADIR}/fcitx5/inputmethod")
fcitx5_translate_desktop_file(chewing-addon.conf.in chewing-addon.conf)
install(FILES "${CMAKE_CURRENT_BINARY_DIR}/chewing-addon.conf" RENAME chewing.conf DESTINATION "${FCITX_INSTALL_PKGDATADIR}/addon")

=== debian/changelog ===
fcitx5-chewing (5.0.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream version.
  * Update Standards-Version to 4.5.1 (no changes)

 -- Shengjing Zhu <zhsj@debian.org>  Sat, 16 Jan 2021 03:07:34 +0800

fcitx5-chewing (5.0.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 5.0.2
  * Only install icons with org.fcitx.Fcitx5 prefix
  * Bump fcitx5 to 5.0.2
  * Fix copyright info after upstream renaming files

 -- Shengjing Zhu <zhsj@debian.org>  Sat, 05 Dec 2020 23:21:15 +0800

fcitx5-chewing (5.0.1-2) unstable; urgency=medium

  * Team upload.
  * Rename icon to coinstall with fcitx-chewing

 -- Shengjing Zhu <zhsj@debian.org>  Wed, 11 Nov 2020 10:02:18 +0800

fcitx5-chewing (5.0.1-1) unstable; urgency=medium

  * Initial release (Closes: #974141)

 -- Yao Wei (魏銘廷) <mwei@debian.org>  Tue, 10 Nov 2020 23:19:52 +0800

=== debian/control ===
Source: fcitx5-chewing
Section: utils
Priority: optional
Maintainer: Debian Input Method Team <debian-input-method@lists.debian.org>
Uploaders:
 Yao Wei (魏銘廷) <mwei@debian.org>,
Build-Depends:
 appstream,
 cmake (>= 3.4),
 debhelper-compat (= 13),
 extra-cmake-modules,
 fcitx5-modules-dev (>= 5.0.2),
 gettext,
 libchewing3-dev (>= 0.4.0),
 libfcitx5core-dev (>= 5.0.2),
 pkg-config,
Standards-Version: 4.5.1
Homepage: https://github.com/fcitx/fcitx5-chewing
Vcs-Browser: https://salsa.debian.org/input-method-team/fcitx5-chewing
Vcs-Git: https://salsa.debian.org/input-method-team/fcitx5-chewing.git
Rules-Requires-Root: no

Package: fcitx5-chewing
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Chewing input method support for fcitx5
 This package provides a wrapper of Chewing engine for Fcitx5.
 .
 Chewing is an intelligent phonetic input method library designed mainly for
 inputing Traditional Chinese.

=== debian/watch ===
# See uscan(1) for format

# Compulsory line, this is a version 4 file
version=4

# GitHub hosted projects
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
   https://github.com/fcitx/fcitx5-chewing/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian

## fcitx5-chewing 5.0.9

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 cmake_minimum_required(VERSION 3.6)
-project(fcitx5-chewing VERSION 5.0.3)
+project(fcitx5-chewing VERSION 5.0.9)
 
 find_package(ECM REQUIRED 1.0.0)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} "${CMAKE_CURRENT_SOURCE_DIR}/cmake" ${CMAKE_MODULE_PATH})

=== debian/changelog ===
fcitx5-chewing (5.0.9-1) unstable; urgency=medium

  * Team upload.
  * New upstream release 5.0.9.

  [ Yao Wei (魏銘廷) ]
  * debian/copyright:
    - Relicense debian/* to LGPL-2.1+ (Closes: #1001717)

 -- Boyuan Yang <byang@debian.org>  Wed, 02 Feb 2022 12:19:22 -0500

fcitx5-chewing (5.0.8-1) unstable; urgency=medium

  * Team upload. 
  * debian/copyright: Refresh information.

 -- Boyuan Yang <byang@debian.org>  Wed, 15 Dec 2021 14:58:35 -0500

fcitx5-chewing (5.0.7-1) unstable; urgency=medium

  * Team upload.
  * Drop icon-related patch:
    - debian/rules: Also install non-Flatpak icon.
    - debian/control: Mark binary package to conflict
      with fcitx-chewing.

 -- Boyuan Yang <byang@debian.org>  Wed, 24 Nov 2021 13:38:00 -0500

fcitx5-chewing (5.0.6-1) unstable; urgency=medium

  * Team upload
  * New upstream version 5.0.6

 -- Shengjing Zhu <zhsj@debian.org>  Fri, 01 Oct 2021 03:24:20 +0800

fcitx5-chewing (5.0.5-2) unstable; urgency=medium

  * Team upload
  * Upload to unstable
  * Update Standards-Version to 4.6.0 (no changes)

 -- Shengjing Zhu <zhsj@debian.org>  Wed, 25 Aug 2021 14:16:54 +0800

fcitx5-chewing (5.0.5-1) experimental; urgency=medium

  * New upstream version 5.0.5

 -- Yao Wei (魏銘廷) <mwei@debian.org>  Sun, 27 Jun 2021 20:37:43 +0800

## fcitx5-chewing 5.0.10

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 cmake_minimum_required(VERSION 3.6)
-project(fcitx5-chewing VERSION 5.0.9)
+project(fcitx5-chewing VERSION 5.0.10)
 
 find_package(ECM REQUIRED 1.0.0)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} "${CMAKE_CURRENT_SOURCE_DIR}/cmake" ${CMAKE_MODULE_PATH})

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -9,5 +9,6 @@
 install(TARGETS chewing DESTINATION "${CMAKE_INSTALL_LIBDIR}/fcitx5")
 fcitx5_translate_desktop_file(chewing.conf.in chewing.conf)
 install(FILES "${CMAKE_CURRENT_BINARY_DIR}/chewing.conf" DESTINATION "${CMAKE_INSTALL_DATADIR}/fcitx5/inputmethod")
-fcitx5_translate_desktop_file(chewing-addon.conf.in chewing-addon.conf)
+configure_file(chewing-addon.conf.in.in chewing-addon.conf.in)
+fcitx5_translate_desktop_file("${CMAKE_CURRENT_BINARY_DIR}/chewing-addon.conf.in" chewing-addon.conf)
 install(FILES "${CMAKE_CURRENT_BINARY_DIR}/chewing-addon.conf" RENAME chewing.conf DESTINATION "${FCITX_INSTALL_PKGDATADIR}/addon")

=== debian/changelog ===
fcitx5-chewing (5.0.10-1deepin0) unstable; urgency=medium

  [ Debian Input Method Team ]
  * update

  [ Tianyu Chen ]
  * No source change upload against GCC 12.

 -- Tianyu Chen <sweetyfish@deepin.org>  Thu, 19 Sep 2024 22:46:05 +0800

fcitx5-chewing (5.0.10-1) unstable; urgency=medium

  * New upstream release. 

 -- Boyuan Yang <byang@debian.org>  Fri, 18 Mar 2022 16:22:32 -0400

## fcitx5-chewing 5.0.12

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 cmake_minimum_required(VERSION 3.6)
-project(fcitx5-chewing VERSION 5.0.10)
+project(fcitx5-chewing VERSION 5.0.12)
 
 find_package(ECM REQUIRED 1.0.0)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} "${CMAKE_CURRENT_SOURCE_DIR}/cmake" ${CMAKE_MODULE_PATH})

=== debian/changelog ===
fcitx5-chewing (5.0.12-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Wed, 13 Jul 2022 15:23:00 -0400

fcitx5-chewing (5.0.11-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Mon, 23 May 2022 16:54:05 -0400

## fcitx5-chewing 5.0.13

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 cmake_minimum_required(VERSION 3.6)
-project(fcitx5-chewing VERSION 5.0.12)
+project(fcitx5-chewing VERSION 5.0.13)
 
 find_package(ECM REQUIRED 1.0.0)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} "${CMAKE_CURRENT_SOURCE_DIR}/cmake" ${CMAKE_MODULE_PATH})

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,6 @@
 )
 add_library(chewing MODULE ${CHEWING_SOURCES})
 target_link_libraries(chewing Fcitx5::Core Fcitx5::Config PkgConfig::Chewing)
-set_target_properties(chewing PROPERTIES PREFIX "")
 target_compile_definitions(chewing PRIVATE FCITX_GETTEXT_DOMAIN=\"fcitx5-chewing\")
 fcitx5_add_i18n_definition(TARGETS chewing)
 install(TARGETS chewing DESTINATION "${CMAKE_INSTALL_LIBDIR}/fcitx5")

=== debian/changelog ===
fcitx5-chewing (5.0.13-1) unstable; urgency=medium

  *  New upstream release.

 -- Boyuan Yang <byang@debian.org>  Wed, 23 Nov 2022 17:10:27 -0500

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
  libchewing3-dev (>= 0.4.0),
  libfcitx5core-dev (>= 5.0.2),
  pkg-config,
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Homepage: https://github.com/fcitx/fcitx5-chewing
 Vcs-Browser: https://salsa.debian.org/input-method-team/fcitx5-chewing
 Vcs-Git: https://salsa.debian.org/input-method-team/fcitx5-chewing.git
@@ -26,6 +26,8 @@
 Depends:
  ${misc:Depends},
  ${shlibs:Depends},
+Conflicts:
+ fcitx-chewing,
 Description: Chewing input method support for fcitx5
  This package provides a wrapper of Chewing engine for Fcitx5.
  .

## fcitx5-chewing 5.0.14

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 cmake_minimum_required(VERSION 3.6)
-project(fcitx5-chewing VERSION 5.0.13)
+project(fcitx5-chewing VERSION 5.0.14)
 
 find_package(ECM REQUIRED 1.0.0)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} "${CMAKE_CURRENT_SOURCE_DIR}/cmake" ${CMAKE_MODULE_PATH})

=== debian/changelog ===
fcitx5-chewing (5.0.14-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Sun, 18 Jun 2023 13:25:59 -0400

=== debian/control ===
--- 
+++ 
@@ -6,15 +6,15 @@
  Yao Wei (魏銘廷) <mwei@debian.org>,
 Build-Depends:
  appstream,
- cmake (>= 3.4),
+ cmake,
  debhelper-compat (= 13),
  extra-cmake-modules,
  fcitx5-modules-dev (>= 5.0.2),
  gettext,
- libchewing3-dev (>= 0.4.0),
+ libchewing3-dev,
  libfcitx5core-dev (>= 5.0.2),
  pkg-config,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Homepage: https://github.com/fcitx/fcitx5-chewing
 Vcs-Browser: https://salsa.debian.org/input-method-team/fcitx5-chewing
 Vcs-Git: https://salsa.debian.org/input-method-team/fcitx5-chewing.git

## fcitx5-chewing 5.1.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 cmake_minimum_required(VERSION 3.6)
-project(fcitx5-chewing VERSION 5.0.14)
+project(fcitx5-chewing VERSION 5.1.0)
 
 find_package(ECM REQUIRED 1.0.0)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} "${CMAKE_CURRENT_SOURCE_DIR}/cmake" ${CMAKE_MODULE_PATH})

=== debian/changelog ===
fcitx5-chewing (5.1.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Tue, 22 Aug 2023 07:55:22 -0400

=== debian/control ===
--- 
+++ 
@@ -9,10 +9,10 @@
  cmake,
  debhelper-compat (= 13),
  extra-cmake-modules,
- fcitx5-modules-dev (>= 5.0.2),
+ fcitx5-modules-dev (>= 5.1),
  gettext,
  libchewing3-dev,
- libfcitx5core-dev (>= 5.0.2),
+ libfcitx5core-dev (>= 5.1),
  pkg-config,
 Standards-Version: 4.6.2
 Homepage: https://github.com/fcitx/fcitx5-chewing

## fcitx5-chewing 5.1.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 cmake_minimum_required(VERSION 3.6)
-project(fcitx5-chewing VERSION 5.1.0)
+project(fcitx5-chewing VERSION 5.1.1)
 
 find_package(ECM REQUIRED 1.0.0)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} "${CMAKE_CURRENT_SOURCE_DIR}/cmake" ${CMAKE_MODULE_PATH})
@@ -12,15 +12,12 @@
 include(ECMSetupVersion)
 include(ECMUninstallTarget)
 
-pkg_check_modules(Chewing "chewing>=0.5.0" IMPORTED_TARGET REQUIRED)
-pkg_get_variable(CHEWING_DATADIR "chewing" datadir)
+if (NOT DEFINED CHEWING_TARGET)
+    pkg_check_modules(Chewing "chewing>=0.5.0" IMPORTED_TARGET REQUIRED)
+    set(CHEWING_TARGET PkgConfig::Chewing)
+endif()
 
 include("${FCITX_INSTALL_CMAKECONFIG_DIR}/Fcitx5Utils/Fcitx5CompilerSettings.cmake")
-
-configure_file(
-  "${CMAKE_CURRENT_SOURCE_DIR}/config.h.in"
-  "${CMAKE_CURRENT_BINARY_DIR}/config.h"
-  )
 
 add_subdirectory(src)
 add_subdirectory(data)

=== src/CMakeLists.txt ===
set(CHEWING_SOURCES
    eim.cpp
)
add_library(chewing MODULE ${CHEWING_SOURCES})
target_link_libraries(chewing Fcitx5::Core Fcitx5::Config ${CHEWING_TARGET})
target_compile_definitions(chewing PRIVATE FCITX_GETTEXT_DOMAIN=\"fcitx5-chewing\")
fcitx5_add_i18n_definition(TARGETS chewing)
install(TARGETS chewing DESTINATION "${CMAKE_INSTALL_LIBDIR}/fcitx5")
fcitx5_translate_desktop_file(chewing.conf.in chewing.conf)
install(FILES "${CMAKE_CURRENT_BINARY_DIR}/chewing.conf" DESTINATION "${CMAKE_INSTALL_DATADIR}/fcitx5/inputmethod" COMPONENT config)
configure_file(chewing-addon.conf.in.in chewing-addon.conf.in)
fcitx5_translate_desktop_file("${CMAKE_CURRENT_BINARY_DIR}/chewing-addon.conf.in" chewing-addon.conf)
install(FILES "${CMAKE_CURRENT_BINARY_DIR}/chewing-addon.conf" RENAME chewing.conf DESTINATION "${FCITX_INSTALL_PKGDATADIR}/addon" COMPONENT config)

=== debian/changelog ===
fcitx5-chewing (5.1.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Mon, 27 Nov 2023 22:41:35 -0500

=== debian/control ===
--- 
+++ 
@@ -24,6 +24,7 @@
 Architecture: any
 Multi-Arch: same
 Depends:
+ fcitx5,
  ${misc:Depends},
  ${shlibs:Depends},
 Conflicts:

## fcitx5-chewing 5.1.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,16 +1,20 @@
 cmake_minimum_required(VERSION 3.6)
-project(fcitx5-chewing VERSION 5.1.1)
+project(fcitx5-chewing VERSION 5.1.5)
 
 find_package(ECM REQUIRED 1.0.0)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} "${CMAKE_CURRENT_SOURCE_DIR}/cmake" ${CMAKE_MODULE_PATH})
 
 find_package(PkgConfig REQUIRED)
-find_package(Fcitx5Core 5.0.2 REQUIRED)
+find_package(Fcitx5Core 5.1.9 REQUIRED)
+find_package(Fcitx5Module REQUIRED COMPONENTS TestFrontend)
 find_package(Gettext REQUIRED)
 include(FeatureSummary)
 include(GNUInstallDirs)
 include(ECMSetupVersion)
 include(ECMUninstallTarget)
+
+option(ENABLE_TEST "Build Test" On)
+option(ENABLE_COVERAGE "Build the project with gcov support (Need ENABLE_TEST=On)" Off)
 
 if (NOT DEFINED CHEWING_TARGET)
     pkg_check_modules(Chewing "chewing>=0.5.0" IMPORTED_TARGET REQUIRED)
@@ -23,6 +27,19 @@
 add_subdirectory(data)
 add_subdirectory(po)
 
+if (ENABLE_TEST)
+    enable_testing()
+    add_subdirectory(test)
+
+    if (ENABLE_COVERAGE)
+        add_custom_target(coverage
+                        COMMAND "${CMAKE_CTEST_COMMAND}"
+                        COMMAND lcov --gcov-tool "${GCOV_TOOL}" --no-external --capture --directory ./ -b "${CMAKE_CURRENT_SOURCE_DIR}" --output-file coverage.info
+                        COMMAND genhtml coverage.info --output-directory "coverage_pages"
+                        WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR})
+    endif()
+endif ()
+
 fcitx5_translate_desktop_file(org.fcitx.Fcitx5.Addon.Chewing.metainfo.xml.in
                               org.fcitx.Fcitx5.Addon.Chewing.metainfo.xml XML)
 install(FILES "${CMAKE_CURRENT_BINARY_DIR}/org.fcitx.Fcitx5.Addon.Chewing.metainfo.xml" DESTINATION ${CMAKE_INSTALL_DATADIR}/metainfo)

=== po/CMakeLists.txt ===
fcitx5_install_translation(fcitx5-chewing)

=== debian/changelog ===
fcitx5-chewing (5.1.5-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Mon, 17 Jun 2024 15:38:56 -0400

fcitx5-chewing (5.1.4-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Sat, 01 Jun 2024 08:21:31 -0400

fcitx5-chewing (5.1.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Sun, 28 Apr 2024 13:43:19 -0400

fcitx5-chewing (5.1.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Wed, 24 Apr 2024 14:47:25 -0400

=== debian/control ===
--- 
+++ 
@@ -9,12 +9,12 @@
  cmake,
  debhelper-compat (= 13),
  extra-cmake-modules,
- fcitx5-modules-dev (>= 5.1),
+ fcitx5-modules-dev (>= 5.1.6),
  gettext,
  libchewing3-dev,
- libfcitx5core-dev (>= 5.1),
- pkg-config,
-Standards-Version: 4.6.2
+ libfcitx5core-dev (>= 5.1.9),
+ pkgconf,
+Standards-Version: 4.7.0
 Homepage: https://github.com/fcitx/fcitx5-chewing
 Vcs-Browser: https://salsa.debian.org/input-method-team/fcitx5-chewing
 Vcs-Git: https://salsa.debian.org/input-method-team/fcitx5-chewing.git

## fcitx5-chewing 5.1.6

=== debian/changelog ===
fcitx5-chewing (5.1.6-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Tue, 08 Oct 2024 18:42:24 -0400

## fcitx5-chewing 5.1.7

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,11 +1,12 @@
 cmake_minimum_required(VERSION 3.6)
-project(fcitx5-chewing VERSION 5.1.5)
+project(fcitx5-chewing VERSION 5.1.7)
 
+set(REQUIRED_FCITX_VERSION 5.1.12)
 find_package(ECM REQUIRED 1.0.0)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} "${CMAKE_CURRENT_SOURCE_DIR}/cmake" ${CMAKE_MODULE_PATH})
 
 find_package(PkgConfig REQUIRED)
-find_package(Fcitx5Core 5.1.9 REQUIRED)
+find_package(Fcitx5Core ${REQUIRED_FCITX_VERSION} REQUIRED)
 find_package(Fcitx5Module REQUIRED COMPONENTS TestFrontend)
 find_package(Gettext REQUIRED)
 include(FeatureSummary)

=== debian/changelog ===
fcitx5-chewing (5.1.7-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Thu, 30 Jan 2025 16:05:07 -0500

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
  fcitx5-modules-dev (>= 5.1.6),
  gettext,
  libchewing3-dev,
- libfcitx5core-dev (>= 5.1.9),
+ libfcitx5core-dev (>= 5.1.12),
  pkgconf,
 Standards-Version: 4.7.0
 Homepage: https://github.com/fcitx/fcitx5-chewing

## fcitx5-chewing 5.1.8

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 cmake_minimum_required(VERSION 3.6)
-project(fcitx5-chewing VERSION 5.1.7)
+project(fcitx5-chewing VERSION 5.1.8)
 
-set(REQUIRED_FCITX_VERSION 5.1.12)
+set(REQUIRED_FCITX_VERSION 5.1.13)
 find_package(ECM REQUIRED 1.0.0)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} "${CMAKE_CURRENT_SOURCE_DIR}/cmake" ${CMAKE_MODULE_PATH})

=== data/CMakeLists.txt ===
install(DIRECTORY 16x16 22x22 24x24 48x48 DESTINATION "${CMAKE_INSTALL_DATADIR}/icons/hicolor"
         PATTERN ".*" EXCLUDE
         PATTERN "*~" EXCLUDE)

=== test/CMakeLists.txt ===

configure_file(testdir.h.in ${CMAKE_CURRENT_BINARY_DIR}/testdir.h @ONLY)
include_directories(${CMAKE_CURRENT_BINARY_DIR})

add_subdirectory(addon)
add_subdirectory(inputmethod)
add_executable(testchewing testchewing.cpp)
target_link_libraries(testchewing Fcitx5::Core Fcitx5::Module::TestFrontend)
add_dependencies(testchewing copy-addon copy-im)
add_test(testchewing testchewing)

=== test/inputmethod/CMakeLists.txt ===
add_custom_target(copy-im DEPENDS chewing.conf.in-fmt)
add_custom_command(TARGET copy-im COMMAND ${CMAKE_COMMAND} -E copy ${PROJECT_BINARY_DIR}/src/chewing.conf ${CMAKE_CURRENT_BINARY_DIR}/chewing.conf)

=== debian/changelog ===
fcitx5-chewing (5.1.8-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Tue, 12 Aug 2025 22:06:20 -0400

=== debian/control ===
--- 
+++ 
@@ -12,9 +12,9 @@
  fcitx5-modules-dev (>= 5.1.6),
  gettext,
  libchewing3-dev,
- libfcitx5core-dev (>= 5.1.12),
+ libfcitx5core-dev (>= 5.1.13),
  pkgconf,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://github.com/fcitx/fcitx5-chewing
 Vcs-Browser: https://salsa.debian.org/input-method-team/fcitx5-chewing
 Vcs-Git: https://salsa.debian.org/input-method-team/fcitx5-chewing.git

## fcitx5-chewing 5.1.9

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 cmake_minimum_required(VERSION 3.6)
-project(fcitx5-chewing VERSION 5.1.8)
+project(fcitx5-chewing VERSION 5.1.9)
 
 set(REQUIRED_FCITX_VERSION 5.1.13)
 find_package(ECM REQUIRED 1.0.0)

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 set(CHEWING_SOURCES
     eim.cpp
 )
-add_library(chewing MODULE ${CHEWING_SOURCES})
+add_fcitx5_addon(chewing ${CHEWING_SOURCES})
 target_link_libraries(chewing Fcitx5::Core Fcitx5::Config ${CHEWING_TARGET})
 target_compile_definitions(chewing PRIVATE FCITX_GETTEXT_DOMAIN=\"fcitx5-chewing\")
 fcitx5_add_i18n_definition(TARGETS chewing)

=== test/addon/CMakeLists.txt ===
add_custom_target(copy-addon DEPENDS chewing-addon.conf.in-fmt)
add_custom_command(TARGET copy-addon COMMAND ${CMAKE_COMMAND} -E copy ${PROJECT_BINARY_DIR}/src/chewing-addon.conf ${CMAKE_CURRENT_BINARY_DIR}/chewing.conf)

=== debian/changelog ===
fcitx5-chewing (5.1.9-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Sat, 25 Oct 2025 17:31:53 -0400

=== debian/watch ===
version=4
opts="pgpmode=auto" \
 https://download.fcitx-im.org/fcitx5/fcitx5-chewing/ \
 fcitx5-chewing-@ANY_VERSION@@ARCHIVE_EXT@ debian uupdate

## fcitx5-chewing 5.1.10

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 cmake_minimum_required(VERSION 3.6)
-project(fcitx5-chewing VERSION 5.1.9)
+project(fcitx5-chewing VERSION 5.1.10)
 
 set(REQUIRED_FCITX_VERSION 5.1.13)
 find_package(ECM REQUIRED 1.0.0)

=== debian/changelog ===
fcitx5-chewing (5.1.10-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Mon, 29 Dec 2025 14:02:47 -0500

=== debian/control ===
--- 
+++ 
@@ -14,11 +14,10 @@
  libchewing3-dev,
  libfcitx5core-dev (>= 5.1.13),
  pkgconf,
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Homepage: https://github.com/fcitx/fcitx5-chewing
 Vcs-Browser: https://salsa.debian.org/input-method-team/fcitx5-chewing
 Vcs-Git: https://salsa.debian.org/input-method-team/fcitx5-chewing.git
-Rules-Requires-Root: no
 
 Package: fcitx5-chewing
 Architecture: any
